[Overview][Constants][Types][Classes][Index] | Reference for unit 'Zipper' (#fcl)

# TUnZipper.Unzip

Unzips the specified .ZIP archive file

## Declaration

Source position: zipper.pp line 585

`public class procedure TUnZipper.Unzip(`
`const AZipFileName: RawByteString`
`); class procedure TUnZipper.Unzip(`
`const AZipFileName: RawByteString;`
`aExtractFileName: RawByteString`
`); class procedure TUnZipper.Unzip(`
`const AZipFileName: RawByteString;`
`aFileList: array of RawByteString`
`); class procedure TUnZipper.Unzip(`
`const AZipFileName: RawByteString;`
`aFileList: TStrings`
`);`

## Arguments

`AZipFileName` |  | Name of the .ZIP archive file

## Arguments

`AZipFileName` |  | Name of the .ZIP archive file
`aExtractFileName` |  | Name of a file or directory entry to extract in the method

## Arguments

`AZipFileName` |  | Name of the .ZIP archive file
`aFileList` |  | List of file names to unzip in the method

## Arguments

`AZipFileName` |  | Name of the .ZIP archive file
`aFileList` |  | List of file names to unzip in the method

## Description

UnZip is an overloaded class method used to unzip one or more files in the specified .ZIP archive file. Overloaded variants are provided which allow the file or files to be specified using RawByteString, Array, or TStrings data types.

UnZip is a convenience method, and does not require an instance of the class. It uses the default options to perform the unzip operation.